
html {
    scroll-behavior: smooth;
}

.header .inner {

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    h1 {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: 700;
        font-size: 50px;
        line-height: 68px;
        text-align: center;
        color: #FFFFFF;
        margin: 0;
    }

    p {
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: 300;
        font-size: 22px;
        line-height: 37px;
        text-align: center;
        color: #FFFFFF;
        max-width: 703px;
        margin-top: 15px;
    }

    .buttons {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        gap: 24px;
        padding: 0px 0 0 0;

        .button {
            border: none;
            transform: scale(1);
            transition: transform .35s ease-out;
            width: 240px;
            font-family: 'Open Sans';
            font-style: normal;
            font-weight: 600;
            font-size: 18px;
            line-height: 25px;
            text-align: center;
            width: 232px;
            height: 55px;
            color: #FFFFFF;

            &:hover {
                transform: scale(1.1);
            }

            &.outline {
                background: #ffffff;
                color: #3E3E3E;
                border: 1px solid transparent;
            }
        }
    }
}

.heading-subtext {
    display: flex;
    flex-direction: column;
    gap: 25px;
}


/* 
get-started denotes the section with blue-is background, bleu big container with text and blue button
*/

.get-started {
    background-image: url("/assets/images/get-started-bg.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 453px;
    margin-top: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 24px;
    box-sizing: border-box;
}

.get-started .inner {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.get-started .button-container {
    background: linear-gradient(to top, #169FF2 0%, #5C0DCE 100%);
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 100px;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 32px 48px;
    border-radius: 12px;
    width: fit-content;
    box-sizing: border-box;
}

.get-started .button-container h1,
.get-started .button-container .heading{
    font-size: 29px;
    font-weight: 400;
    max-width: 637px;
    color: white;
    text-align: left;
}

.get-started .button-container button {
    padding: 12px 48px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: transform 0.5s ease;
}

.get-started .button-container button:hover {
    transform: scale(1.08);
}

.get-started .button-container .button a {
    text-decoration: none;
    color: white;
    font-size: 18px;
}

.captcha-container {
    display: flex;
    justify-content: center;

    align-items: center;
    width: 100%;
}

.g-recaptcha {
    display: inline-block;
    filter: drop-shadow(0px 4px 10px rgba(0, 0, 0, 0.05));

}

.error-banner {
    background-color: #FDEDED;
    border-left: 4px solid #D32F2F;
    color: #5F2120;
    padding: 12px 16px;
    border-radius: 4px;
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 14px;
    font-weight: 500;
    animation: slideIn 0.3s ease-out;
}

@keyframes slideIn {
    from {
        opacity: 0;
        transform: translateY(-5px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.shake-animation {
    animation: shake 0.4s cubic-bezier(.36, .07, .19, .97) both;
}

@keyframes shake {

    10%,
    90% {
        transform: translate3d(-1px, 0, 0);
    }

    20%,
    80% {
        transform: translate3d(2px, 0, 0);
    }

    30%,
    50%,
    70% {
        transform: translate3d(-4px, 0, 0);
    }

    40%,
    60% {
        transform: translate3d(4px, 0, 0);
    }
}

@media (max-width: 350px) {
    .g-recaptcha {
        transform: scale(0.85);
        -webkit-transform: scale(0.85);
        transform-origin: center center;
        -webkit-transform-origin: center center;
    }
}






/* ANIMATIONS */


.text-animation span {
    opacity: 0;
    transform: translateY(10px);
}

/* Container setup for animated text blocks */
.text-animation {
    display: flex;
    flex-wrap: wrap;
    gap: 0 5px;
    justify-content: center;
    opacity: 0;
}

/* Align text to the left when "leftText" class is added */
.text-animation.leftText {
    justify-content: start;
}

/* Initial state for each animated span */
.text-animation.visible span {
    animation: fadeInWord 0.5s forwards;
    animation-delay: var(--delay, 0s);
}

/* Make entire text block visible */
.text-animation.visible {
    opacity: 1;
}

/* Animate spans when parent has "visible" */
p.text-animation.visible span {
    animation: fadeInWord 0.3s forwards;
    animation-delay: var(--delay, 0s);
}

.host-card.animate,
.values .value.animate,
.benefits .benefit.animate{
    opacity: 0;
    transform: translateY(var(--startPosition, 60px));
}

.host-card.animate.visible,
.values .value.animate.visible,
.benefits
.benefit.animate {
    animation: opacityDownTranslate 500ms forwards;
    animation-delay: var(--delay, 0s);
}


/* ----------------------------------------
   BUTTON & LINK ANIMATIONS
---------------------------------------- */

.button-wrapper.animate {
    opacity: 0;
    transform: translateY(12px);
}

/* When wrapper becomes visible */
.button-wrapper.animate.visible {
    animation: buttonFadeIn 0.6s ease-out forwards;
    animation-delay: var(--delay, 0s);
}

.button-wrapper.animate a {
    opacity: 0;
}

.button-wrapper.animate.visible a {
    opacity: 1;
    transition: opacity 0.4s ease-out;
    transition: transform 0.35s ease-out;
}

/* Button fade-in animation */
@keyframes buttonFadeIn {
    from {
        opacity: 0;
        transform: translateY(12px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeInWord {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: var(--targetOpacity);
        transform: translateY(0);
    }
}


.offer .inner {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.offer .inner .values {
    display: flex;
    gap: 48px;
    justify-content: center;
    margin-top: 100px;
    box-sizing: border-box;
}

.offer .inner .values .value img {
    margin-bottom: 10px;
}

.offer .inner .text {
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.offer .inner {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


.offer .inner .text {
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    margin-left: 0;
}

.offer .value-heading {
    font-size: 21;
    font-weight: 600;
    max-width: 282;
}

.offer .value-subtext {
    font-size: 15;
    font-weight: 400;
    max-width: 266.33;
}

.icon-41 {
    width: 41px;
    height: 41px;
    object-fit: contain;
}

.icon-special-width{
    width: 51px;
}

.button-white {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    height: 40px;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    text-align: center;
    text-decoration: none;
    margin: 32px 28px 52px 28px;
    border-radius: 7px;
    color: rgb(62, 62, 62);
    background-color: white;
    border: 1px solid rgba(62, 62, 62, 0.08);
    box-shadow: 0px 1px 5px rgba(62, 62, 62, 0.1);
    width: max-content;
    padding: 0 30px;
    transition: transform 0.5s ease, background-color 0.25s ease, color 0.25s ease;
    align-self: center;
    width: auto;
}

.button-white:hover{
    transform: scale(1.08);
}


.toggleButtons {
    margin-top: 50px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: fit-content;
    padding: 5px;
    background: #FFFFFF;
    border: 1px solid rgba(0, 0, 0, 0.05);
    border-radius: 100px;
    position: relative;
    align-items: center;
}

 .toggleButton {
     font-family: 'Open Sans';
     cursor: pointer;
     font-style: normal;
     font-weight: 600;
     font-size: 15px;
     line-height: 27px;
     padding: 5px 15px;
     text-align: center;
     background: linear-gradient(134.71deg, #169FF2 -0.5%, #5C0DCE 98.45%);
     -webkit-background-clip: text;
     -webkit-text-fill-color: transparent;
     background-clip: text;
     z-index: 1;
     transition: all ease 500ms;
 }

.toggleButton.active {
    background: #3E3E3E;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.toggleButtons .selector {
    margin: 3px;
    position: absolute;
    left: 0;
    width: calc(50% - 6px);
    height: calc(100% - 6px);
    background: #FFFFFF;
    border: 1px solid rgba(0, 0, 0, 0.08);
    box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.1);
    border-radius: 100px;
    z-index: 0;
    transition: all ease 500ms;
}

.toggleButtons .selector.left {
    right: 0;
    left: unset;
}


.favorite {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    background-color: #EAF6FE;
}

.favorite::before {
    content: ' ';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 0.5;
    background: linear-gradient(135deg, rgba(224, 245, 255, 0.98) 0%, #F6EEFF 78.13%, #E8D4FF 100%);
}

.favorite>* {
    position: relative;
    z-index: 1;
}


.favorite .section-title {
    margin-top: 50px;

}

.favorite .section-heading {
    max-width: 928px;
}

.favorite .section-description {
    margin-bottom: 50px;

}

.favorite .card, .favorite .form{
    width: 100%;
    max-width: 920px;
    border-radius: 8px;
    background: #FFF;
    box-shadow: 1px 1px 4px 1px rgba(0, 0, 0, 0.25);
    margin: 0 0 80px 0;
    box-sizing: border-box;
    padding: 48px 80px;
    position: relative;
}

.favorite form {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 20px;
    grid-row-gap: 16px;
    margin: 0;
}

.favorite form .fill {
    grid-column: auto / span 2;
}

.favorite form textarea,
.favorite form input[type=text] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    flex: 1 1 auto;
    background: #fbfbfc;
    border: 1px solid #169FF2;
    padding: 0 0 0 8px;
    box-sizing: border-box;
    color: #5F6368;
    line-height: 24px;
    font-weight: 400;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    font-family: 'Open Sans', sans-serif;
    border-radius: 2px;
    outline: 0;
    height: 44px;
    width: 100%;
    caret-color: var(--primary);
    user-select: none;
    font-size: 14px;
    text-align: left;
    border-radius: 4px;
}

.favorite form textarea {
    height: 112px;
}

.favorite form .terms {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    margin: 16px 0 0 0;
}

.favorite form .terms .checkbox {
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin: 4px 0 0 0;
}

.favorite form .terms .checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 16px;
    width: 16px;
    left: -3px;
    top: -2px;
    z-index: 1;
}

.favorite form .terms .checkbox input~.checkmark {
    border-radius: 4px;
    background-color: #169FF2;
}

.favorite form .terms .checkbox input:checked~.checkmark::before {
    display: none;
}


.favorite form .terms .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 16px;
    width: 16px;
    border: 1px solid transparent;
    transition: background-color .25s ease;
    border: 1px solid #169FF2;
}

.favorite form .terms .checkmark::before {
    position: absolute;
    content: ' ';
    background: #fff;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 0px;
    border-radius: 4px;
}

.favorite form .terms p {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    padding: 0 0 0 6px;
    margin: 0;
    text-align: left;
}

.favorite form .terms p a {
    text-decoration: none;
    font-weight: 700;
    color: #169FF2;
}

.favorite form .btn-row {
    display: flex;
    flex-direction: row;
    justify-content: center;
    
}

.favorite form .btn-row .button,
.favorite .sent .button {
    width: 424px;
    height: 60px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, rgba(0, 176, 255, 0.98) 0%, #861FFC 77.65%, #861FFC 100%);
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
    border-radius: 8px;
    border: none;
    padding: 0;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 25px;
    cursor: pointer;
    color: #FFFFFF;
    text-decoration: none;
    transition: transform 0.5s ease;
}

.favorite form .btn-row .button:hover,
.favorite .sent .button:hover {
    transform: scale(1.08);
}

.favorite form textarea::placeholder,
.favorite form input::placeholder {
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 20px;
    color: rgba(107, 107, 107, 0.45);
}

.favorite .card .sent {
    display: none;
    position: absolute;
    background: #fff;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    padding: 72px;
    flex-direction: column;
    align-items: center;
}

.favorite .card .sent.show {
    display: flex;
}

.favorite .card .sent h2 {
    color: #3E3E3E;
    text-align: center;
    font-size: 28px;
    font-family: "Open Sans";
    font-weight: 700;
    max-width: 424px;
    margin: 12px 0 0 0;
}

.favorite .card .sent h3 {
    color: #3E3E3E;
    text-align: center;
    font-size: 20px;
    font-family: "Open Sans";
    font-weight: 400;
    max-width: 424px;
    margin: 48px 0 0 0;
}

.favorite .card .sent .button {
    margin-top: 60px;
}

.favorite .heading-subtext h1 {
    max-width: 900px !important;
    margin-bottom: 0 !important;
}

.favorite .heading-subtext p {
    align-self: center !important;
    margin-bottom: 25px !important;
}

.favorite form .terms .checkbox input~.checkmark {
    border-radius: 4px;
    background-color: #169FF2;
}

.favorite .checkbox .checkmark::after {
    content: "";
    position: absolute;
    left: 5px;
    top: 2px;
    width: 4px;
    height: 8px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    overflow: hidden;
}





@media only screen and (max-width: 1248px){
    .offer .inner .values {
            padding: 0 24px;
        }
}

@media only sceen and (max-width: 1120px){
    .favorite {
            box-sizing: border-box;
            width: auto;
            padding: 0 28px;
        }
}

@media only screen and (max-width: 1040px) {
    .offer .inner .values {
         justify-content: center;
           
            flex: 1 0 50%;
        }



    .header .inner,
    .open-system .inner,
    .pluxmarket .inner,
    .contact>div {
        padding: 0 32px 0 32px;
    }


    .header .inner {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }


    
        .get-started .button-container h1 {
            font-size: 20px;
            max-width: 400px;
        }



}

@media only screen and (max-width: 1000px){

    .get-started .button-container{
        gap: 0px;
        padding: 48px 24px;
    }
    .get-started .inner .button-container .text{
        margin: 0;
        margin-right: 20px;
    }

    .get-started .inner .button-container button {
        align-self: center;
    }
}

@media only screen and (max-width: 939px){
    .get-started .button-container h1,
        .get-started .button-container .heading {
            text-align: center;
        }
}


@media only screen and (max-width: 732px) {



    .header {
        height: auto;

        .inner {
            align-items: flex-start;
            padding: 0 24px;

            h1 {
                margin-top: 80px;
                font-family: 'Open Sans';
                font-style: normal;
                font-weight: 700;
                font-size: 30px;
                line-height: 120%;
                color: #FFFFFF;
                text-align: left;
            }

            p {
                font-family: 'Open Sans';
                font-style: normal;
                font-weight: 400;
                font-size: 18px;
                line-height: 27px;
                color: rgba(255, 255, 255, 0.71);
                text-align: left;
                max-width: 345px;
                align-self: flex-start;
            }

            .buttons {
                flex-direction: column;
                gap: 0;
                margin-bottom: 60px;
                padding: 0;

                .button {
                    margin: 4px 0;
                }
            }
        }
    }


    .text-animation {
        display: block;
        max-width: 345px !important;
        width: 100%;
    }

         .get-started .button-container {
             margin: 0;
         }
    
         .get-started .button-container h1 {
             text-align: center;
             font-size: 20px;
             margin-top: 40px;
             max-width: 271px;
             margin-top: 0;
         }
    
         .get-started .button-container button {
             margin-top: 10px;
             margin-bottom: 40px;
         }

           .button-white {
               padding: 0 10px;
               margin-top: 36px;
           }

          .offer .inner {
              padding: 0 24px;
              justify-content: flex-start;
    
              .text {
                  margin-top: 60px;
                  justify-content: flex-start !important;
                  align-items: flex-start;
    
                  h1 {
                      align-self: flex-start;
                      text-align: left;
                      padding: 12px 0;
                  }
    
                  h2,
                  h3 {
                      align-self: flex-start;
                      text-align: left;
                  }
              }
    
              .values {
                  margin-top: 60px;
                  gap: 48px;
                  flex-wrap: wrap;
                  padding-left: 0;
                  justify-content: center;
    
                  h1 {
                      max-width: unset;
                      font-family: 'Open Sans';
                      font-style: normal;
                      font-weight: 600;
                      font-size: 21px;
                      line-height: 29px;
                      color: #3E3E3E;
                  }
    
                  h2 {
                      max-width: unset;
                      font-size: 18px;
                      line-height: 1.6;
                      color: #3e3e3e;
                      margin: 0 auto;
                      font-weight: 400;
                  }
              }
          }

    .offer .inner .text{
        align-self: flex-start;
    }

        .journey .inner .left {
            gap: 25px;
        }

         .get-started .button-container button {
             margin-bottom: 0px !important;
             margin-top: 25px !important;
         }

         .favorite .card {
             padding: 28px 36px;
             margin-left: 20px;
             margin-right: 20px;
             width:fit-content;
         }
    
         .favorite form textarea,
         .favorite form input[type=text] {
             grid-column: auto / span 2;
         }
    
         .favorite form .terms .checkbox {
             padding-left: 20px;
         }
    
         .favorite form .terms p {
             color: #3E3E3E;
             font-size: 8.5px;
             font-family: Open Sans;
         }
    
         .favorite form .btn-row {
             padding: 0;
    
         }
    
    
    
         .favorite .card .sent {
             padding: 48px 36px;
             justify-content: center;
         }
    
         .favorite .card .sent h2 {
             color: #3E3E3E;
             font-size: 24px;
             font-weight: 700;
             line-height: initial;
             max-width: 332px;
             margin: 0;
         }
    
         .favorite .card .sent h3 {
             font-size: 18px;
         }
    
         .favorite .card .sent .button {
             width: auto;
             align-self: stretch;
         }

}